.post-meta {
    color: #BABABA;
    font-size: rem(14);
    white-space: nowrap;
    line-height: normal;
    margin-bottom: rem(32);

    &__row {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    &__item {
        position: relative;

        &:not(:last-child) {
            margin-right: 32px;

            &:before {
                top: calc(50% - 8px);
                left: calc(100% + 16px);
                content: '';
                width: 1px;
                height: 16px;
                display: block;
                position: absolute;
                background: #6B6F78;
            }
        }
    }

    @media (min-width: $screen-md) {
        font-size: rem(16);
        margin-bottom: rem(24);
    }
    @media (min-width: $screen-xl) {
        font-size: rem(18);
        margin-bottom: rem(34);
    }
}

.post-header {
    height: rem(508);
    position: relative;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.83) 100%);
    }

    &__image {
        z-index: 1;
        height: 100%;
        position: relative;
    }

    &__content {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        position: absolute;
        padding: rem(75) rem(32);
    }

    &__title {
        margin: 0;
        color: $white;
        font-weight: 700;
        font-size: rem(28);
        line-height: normal;
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    @media (min-width: $screen-md) {

        &__title {
            font-size: rem(44);
        }
    }

    @media (min-width: $screen-xl) {
        margin: 0 auto;
        height: rem(580);
        max-width: rem(1264);

        &__content {
            padding: rem(58) rem(56);
        }

        &__title {
            font-size: rem(54);
        }
    }

    @media (min-width: $screen-xxl) {
        max-width: rem(1512);
    }
}

.post-content {
    font-weight: 500;
    font-size: rem(18);
    line-height: 190%;
    padding: rem(30) 0;

    p {
        margin-bottom: rem(24);

        &:last-child {
            margin-bottom: 0;
        }
    }

    @media (min-width: $screen-xl) {
        padding: rem(56) 0;

        &__wrap {
            padding: 0 rem(56);
        }
    }
}

.post-h2 {
    font-weight: 700;
    font-size: rem(26);
    line-height: normal;
    margin-bottom: rem(24);
    text-transform: uppercase;
    font-family: $font-family-secondary;

    @media (min-width: $screen-md) {
        font-size: rem(32);
    }

    @media (min-width: $screen-xl) {
        font-size: rem(38);
    }
}

.post-h3 {
    font-weight: 700;
    font-size: rem(20);
    line-height: normal;
    margin-bottom: rem(24);
    text-transform: uppercase;
    font-family: $font-family-secondary;

    @media (min-width: $screen-md) {
        font-size: rem(24);
    }

    @media (min-width: $screen-xl) {
        font-size: rem(28);
    }
}

.post-h4 {
    font-weight: 700;
    font-size: rem(18);
    line-height: normal;
    margin-bottom: rem(24);
    text-transform: uppercase;
    font-family: $font-family-secondary;

    @media (min-width: $screen-md) {
        font-size: rem(20);
    }
}

.block-md {
    max-width: rem(886);
}

.post-files {
    margin-bottom: rem(24);
}

.post-download {
    color: $white;
    font-weight: 500;
    font-size: rem(18);
    line-height: 190%;
    background: #1D1E20;
    padding: rem(12) rem(24);

    &:not(:last-child) {
        margin-bottom: rem(8);
    }

    &__title {
        display: block;
    }

    &__content {
        margin-top: rem(8);
        font-size: rem(14);
        line-height: rem(16);
        white-space: nowrap;
        display: flex;
        align-items: center;
    }

    &__icon {
        fill: $white;
        font-size: 0;
        line-height: 0;
        width: rem(16);
        height: rem(16);
        display: block;
        margin-right: rem(8);
        flex-shrink: 0;
    }

    &__link {
        color: $white;
        display: block;
        text-decoration: none;
        border-bottom: 1px dashed #979797;
    }

    &__size {
        display: block;
        margin-left: rem(8);
    }
}

.post-gallery {
    margin: rem(12) 0;
    display: grid;
    grid-row-gap: rem(12);
    grid-template-columns: 1fr;

    &__item {
        display: block;
        height: rem(320);
    }

    @media (min-width: $screen-md) {
        margin: rem(32) 0;
        grid-column-gap: rem(12);
        grid-template-columns: 1fr 1fr 1fr;

        &__item {
            height: auto;
        }
    }

    @media (min-width: $screen-xl) {
        max-width: rem(1264);
        margin: 0 auto;
    }

    @media (min-width: $screen-xxl) {
        max-width: rem(1512);
    }

}

@media (min-width: $screen-md) { }

@media (min-width: $screen-lg) { }

@media (min-width: $screen-xl) { }

@media (min-width: $screen-xxl) { }

